Prettier 插件在 1.31.0 VSCode 的问题

编写于

快速解决 VSCode 和 Prettier 的交互。

vscode 版本:1.31.0

直接在项目里面建立一个文件 .prettierrc.js

// .prettierrc.js
module.exports = {
  semi: false,
  singleQuote: true,
  tabWidth: 4,
  trailingComma: 'es5',
};

// .eslintrc.js
module.exports = {
  env: {
    browser: true,
    es6: true,
  },
  extends: 'standard',
  parserOptions: {
    sourceType: 'module',
  },
  rules: {
    curly: [0],
    'prefer-const': [2],
    'space-before-function-paren': 'error',
    // Here to match our Prettier options
    semi: ['error', 'never'],
    quotes: ['error', 'single'],
    indent: ['error', 4],
    'comma-dangle': ['error', 'always-multiline'],
  },
};

其实就是一套配置,估计是 prettier 插件自己的默认配置不符合我的项目环境。